import App from './src/app';
import * as Config from "./src/modules/Config";

Config.setServer("http://localhost:8081");

const app = new App();

app.start();

export function init(appKey) {
    app.pushAction('init', appKey);
}

export function setAutoPageView(autoPageView) {
    app.pushAction('setAutoPageView', autoPageView);
}

export function trackPageView(url, referrer) {
    app.pushAction('trackPageView', url, referrer);
}

export function trackEvent(category, action, label, value) {
    app.pushAction('trackEvent', category, action, label, value);
}

export function setLogHandler(logHandler) {
    app.pushAction('setLogHandler', logHandler);
}

export function actionTimeStart(action, extdata) {
    app.pushAction('actionTimeStart', action, extdata);
}

export function actonTimeEnd(action) {
    app.pushAction('actionTimeEnd', action);
}

export function setUserId(userId) {
    app.pushAction('setUserId', userId);
}

export function setChannel(channel) {
    app.pushAction('setChannel', channel);
}

export function setUserProperties(properties) {
    app.pushAction('setUserProperties', properties)
}

export function setVersion(version) {
    app.pushAction('setVersion', version);
}

