import * as EventStorage from './EventStorage';
import * as Net from './Net';
import * as Config from './Config';

const SEND_INTERVAL = 5 * 1000;
const MAX_SEND_SIZE = 50;

let sending = false;

function doSend(data) {
    sending = true;
    Net.send(Config.getServer() + "/api/web/event", data, function (result) {
        sending = false;
    }, function () {
        sending = false;
    });
}

export function init() {
    EventStorage.init();
    setInterval(function () {
        if (sending) {
            return;
        }
        const send_size = Math.min(EventStorage.getSize(), MAX_SEND_SIZE);
        if (send_size <= 0) {
            return;
        }
        const events = EventStorage.shift(send_size);
        const data = {
            events: events
        };

        doSend(data);

    }, SEND_INTERVAL);
}

export function send(data) {
    EventStorage.push(data);
}

init();

