import * as LocalData from './LocalData';

const MAX_BUFF_SIZE = 1000;

let dataArray = [];
let saved = false;
let initialized = false;

function save() {
    setTimeout(function () {
        if (saved) {
            return;
        }
        LocalData.setItem("events", JSON.stringify(dataArray));
        saved = true;
    }, 100);
}

export function init() {
    if (initialized) {
        return;
    }

    const events_str = LocalData.getItem("events");
    if (events_str !== undefined && events_str !== null && events_str !== "") {
        dataArray = JSON.parse(events_str);
    }

    initialized = true;
}

export function push(data) {
    dataArray.push(data);
    if (dataArray.length > MAX_BUFF_SIZE) {
        dataArray.shift();
    }
    saved = false;
    save();
}

export function shift(num) {
    num = Math.min(num, dataArray.length);
    const ret = dataArray.splice(0, num);
    saved = false;
    save();
    return ret;
}

export function getSize() {
    return dataArray.length;
}
