function setCookie(name, value, expiredays) {
    const ex_data = new Date();
    ex_data.setDate(ex_data.getDate() + expiredays);
    document.cookie = name + "=" + escape(value) +
        ((expiredays === null) ? "" : ";expires=" + ex_data.toGMTString());
}

function getCookie(c_name) {
    if (document.cookie.length > 0) {
        let c_start = document.cookie.indexOf(c_name + "=");
        if (c_start !== -1) {
            c_start = c_start + c_name.length + 1;
            c_end = document.cookie.indexOf(";", c_start);
            if (c_end === -1) c_end = document.cookie.length;
            return unescape(document.cookie.substring(c_start, c_end));
        }
    }
    return ""
}

function localStorageGetItem(key) {
    if (!window.localStorage) {
        return "";
    }

    return window.localStorage.getItem(key);
}

function localStorageSetItem(key, value) {
    if (!window.localStorage) {
        return;
    }

    window.localStorage.setItem(key, value);
}

export function getItem(key) {

    const value = localStorageGetItem(key);
    if (value !== null && value !== "") {
        return value;
    }

    return getCookie(key);
}

export function setItem(key, value) {
    localStorageSetItem(key, value);
    setCookie(key, value, 365);
}

