/**
 * @param url
 * @param data
 * @param onSuccess
 * @param onError
 */
export function send(url, data, onSuccess, onError) {
    const xmlHttpRequest = new XMLHttpRequest();

    xmlHttpRequest.onreadystatechange = function () {
        if (xmlHttpRequest.readyState === 4) {
            if (xmlHttpRequest.status === 200) {
                if (typeof onSuccess === "function") {
                    onSuccess(xmlHttpRequest.responseText);
                }
            }
            else {
                if (typeof onError === "function") {
                    onError();
                }
            }
        }
    };

    xmlHttpRequest.open("POST", url, true);
    xmlHttpRequest.send(JSON.stringify(data));
}


